> ## Documentation Index
> Fetch the complete documentation index at: https://docs.typebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a result



## OpenAPI

````yaml GET /v1/typebots/{typebotId}/results/{resultId}
openapi: 3.1.1
info:
  title: Builder API
  version: 1.0.0
servers:
  - url: https://app.typebot.com/api
security: []
externalDocs:
  url: https://docs.typebot.com/api-reference
paths:
  /v1/typebots/{typebotId}/results/{resultId}:
    get:
      tags:
        - Results
      summary: Get result by id
      operationId: results-getResult
      parameters:
        - name: typebotId
          in: path
          required: true
          schema:
            type: string
            description: '[Where to find my bot''s ID?](../how-to#how-to-find-my-typebotid)'
        - name: resultId
          in: path
          required: true
          schema:
            type: string
            description: >-
              The `resultId` is returned by the /startChat endpoint or you can
              find it by listing results with `/results` endpoint
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                        x-native-type: date
                      typebotId:
                        type: string
                      variables:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            isSessionVariable:
                              type: boolean
                            value:
                              anyOf:
                                - type: string
                                - type: array
                                  items:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                          required:
                            - id
                            - name
                            - value
                      isCompleted:
                        type: boolean
                      hasStarted:
                        anyOf:
                          - type: boolean
                          - type: 'null'
                      isArchived:
                        anyOf:
                          - type: boolean
                          - type: 'null'
                      lastChatSessionId:
                        anyOf:
                          - type: string
                          - type: 'null'
                      answers:
                        type: array
                        items:
                          type: object
                          properties:
                            blockId:
                              type: string
                            content:
                              type: string
                            attachedFileUrls:
                              type: array
                              items:
                                type: string
                          required:
                            - blockId
                            - content
                    required:
                      - id
                      - createdAt
                      - typebotId
                      - variables
                      - isCompleted
                      - hasStarted
                      - isArchived
                      - lastChatSessionId
                      - answers
                required:
                  - result
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: BAD_REQUEST
                      status:
                        const: 400
                      message:
                        type: string
                        default: Bad Request
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '401':
          description: '401'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: UNAUTHORIZED
                      status:
                        const: 401
                      message:
                        type: string
                        default: Unauthorized
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '403':
          description: '403'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: FORBIDDEN
                      status:
                        const: 403
                      message:
                        type: string
                        default: Forbidden
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '404':
          description: '404'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: NOT_FOUND
                      status:
                        const: 404
                      message:
                        type: string
                        default: Not Found
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '500':
          description: '500'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INTERNAL_SERVER_ERROR
                      status:
                        const: 500
                      message:
                        type: string
                        default: Internal Server Error
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````